
<fieldset>

    <div class="control-group">
        <label class="control-label required">Host</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'manager',
                'class' => 'span4',
                'value' => set_value('manager', @$defaults['manager']))); ?>
            <?php echo form_error('manager') ?>
        <span class="help-inline"> <?php echo question_tooltip("IP address or hostname to send SNMP trap to."); ?></span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Community</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'community',
                'class' => 'span4',
                'value' => set_value('community', @$defaults['community']))); ?>
            <?php echo form_error('community') ?>
            <span class="help-inline"> <?php echo question_tooltip("The community name to be used such as public."); ?></span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">SNMP Version</label>
        <div class="controls">
            <select name="snmp_version" class="span4 snmp-version-choice">
                <option value="0" <?php echo reactor_option_selected('snmp_version', '0', $defaults) ?>>Version 1</option>
                <option value="1" <?php echo reactor_option_selected('snmp_version', '1', $defaults) ?>>Version 2/2C</option>
                <option value="3" <?php echo reactor_option_selected('snmp_version', '3', $defaults) ?>>Version 3</option>
            </select>
            <span class="help-inline"> <?php echo question_tooltip("SNMP version to use.  For highest security use SNMP which allows for password protection."); ?></span>
            <?php echo form_error('snmp_version') ?>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label">Enterprise OID</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'enterprise_oid',
                'class' => 'span4',
                'value' => set_value('enterprise_oid', @$defaults['enterprise_oid']))); ?>
            <?php echo form_error('enterprise_oid') ?>
            <span class="help-inline"> <?php echo question_tooltip("SNMP OID to use.  This is vendor specific."); ?></span>
        </div>
    </div>


    <div class="control-group trap-type">
        <label class="control-label">Type (V1 only)</label>
        <div class="controls">
            <select name="trap_type" class="span4">
                <option value=""> </option>
                <option value="0" <?php echo reactor_option_selected('trap_type', '0', $defaults) ?>>TRAP_COLDSTART</option>
                <option value="1" <?php echo reactor_option_selected('trap_type', '1', $defaults) ?>>TRAP_WARMSTART</option>
                <option value="2" <?php echo reactor_option_selected('trap_type', '2', $defaults) ?>>TRAP_LINKDOWN</option>
                <option value="3" <?php echo reactor_option_selected('trap_type', '3', $defaults) ?>>TRAP_LINKUP</option>
                <option value="4" <?php echo reactor_option_selected('trap_type', '4', $defaults) ?>>TRAP_AUTH_FAIL</option>
                <option value="5" <?php echo reactor_option_selected('trap_type', '5', $defaults) ?>>TRAP_EGP_NEIGHBOR_LOSS</option>
                <option value="6" <?php echo reactor_option_selected('trap_type', '6', $defaults) ?>>TRAP_ENTERPRISE_SPECIFIC</option>
            </select>
            <?php echo form_error('trap_type') ?>
        </div>
    </div>
        
    <div class="control-group specific-trap-type">
        <label class="control-label">Specific Type (V1 Only)</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'specific_trap_type',
                'class' => 'span1',
                'value' => set_value('specific_trap_type', @$defaults['specific_trap_type']))); ?>
            <?php echo form_error('specific_trap_type') ?>
        </div>
    </div>
</fieldset>

<fieldset>
    <legend>Trap Variables</legend>
    <?php for($i=0; $i<4; $i++): ?>
    <p>
        <select class="span2" name="var_type<?php echo $i ?>">
            <option value="i" <?php echo reactor_option_selected('var_type'.$i, 'i', $defaults) ?>>Integer</option>
            <option value="t" <?php echo reactor_option_selected('var_type'.$i, 't', $defaults) ?>>Time Ticks</option>
            <option value="x" <?php echo reactor_option_selected('var_type'.$i, 'x', $defaults) ?>>Hex String</option>
            <option value="s" <?php echo reactor_option_selected('var_type'.$i, 's', $defaults) ?>>String</option>
            <option value="a" <?php echo reactor_option_selected('var_type'.$i, 'a', $defaults) ?>>IP Address</option>
            <option value="o" <?php echo reactor_option_selected('var_type'.$i, 'o', $defaults) ?>>Object ID</option>
            <option value="n" <?php echo reactor_option_selected('var_type'.$i, 'n', $defaults) ?>>Null Value</option>
        </select>
        <?php echo form_input(array(
                'name' => 'var_oid'.$i,
                'class' => 'span2',
                'placeholder' => 'OID',
                'value' => set_value('var_oid'.$i, @$defaults['var_oid'.$i]))); 
        ?>
        <?php echo form_input(array(
                'name' => 'var_val'.$i,
                'class' => 'span3',
                'placeholder' => 'Value',
                'value' => set_value('var_val'.$i, @$defaults['var_val'.$i]))); 
        ?>
        <?php echo form_error('var_oid'.$i) ?>
    </p>
    <?php endfor; ?>
</fieldset>

<script type="text/javascript">modernize_placeholders()</script>

